FailableIntUnaryOperator (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.function, interface: FailableIntUnaryOperator

Package org.apache.commons.lang3.function

# Interface FailableIntUnaryOperator<E extends Throwable>

Type Parameters:
  `E` - The kind of thrown exception or error.

public interface FailableIntUnaryOperator<E extends Throwable>
A functional interface like `IntUnaryOperator` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableIntUnaryOperator`
  `NOP`
  NOP singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default FailableIntUnaryOperator<E>`
  `andThen(FailableIntUnaryOperator<E> after)`
  Returns a composed `FailableDoubleUnaryOperator` like `IntUnaryOperator.andThen(IntUnaryOperator)`.
  `int`
  `applyAsInt(int operand)`
  Applies this operator to the given operand.
  `default FailableIntUnaryOperator<E>`
  `compose(FailableIntUnaryOperator<E> before)`
  Returns a composed `FailableIntUnaryOperator` like `IntUnaryOperator.compose(IntUnaryOperator)`.
  `static <E extends Throwable>
  FailableIntUnaryOperator<E>`
  `identity()`
  Returns a unary operator that always returns its input argument.
  `static <E extends Throwable>
  FailableIntUnaryOperator<E>`
  `nop()`
  Returns The NOP singleton.

- ## Field Details

  - ### NOP

    static final FailableIntUnaryOperator NOP
    NOP singleton

- ## Method Details

  - ### identity

    static <E extends Throwable> FailableIntUnaryOperator<E> identity()
    Returns a unary operator that always returns its input argument.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      a unary operator that always returns its input argument

  - ### nop

    static <E extends Throwable> FailableIntUnaryOperator<E> nop()
    Returns The NOP singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### andThen

    default FailableIntUnaryOperator<E> andThen(FailableIntUnaryOperator<E> after)
    Returns a composed `FailableDoubleUnaryOperator` like `IntUnaryOperator.andThen(IntUnaryOperator)`.
    Parameters:
      `after` - the operator to apply after this one.
    Returns:
      a composed `FailableIntUnaryOperator` like `IntUnaryOperator.andThen(IntUnaryOperator)`.
    Throws:
      `NullPointerException` - if after is null.
    See Also:
      - `compose(FailableIntUnaryOperator)`

  - ### applyAsInt

    int applyAsInt(int operand) throws E
    Applies this operator to the given operand.
    Parameters:
      `operand` - the operand
    Returns:
      the operator result
    Throws:
      `E` - Thrown when a consumer fails.

  - ### compose

    default FailableIntUnaryOperator<E> compose(FailableIntUnaryOperator<E> before)
    Returns a composed `FailableIntUnaryOperator` like `IntUnaryOperator.compose(IntUnaryOperator)`.
    Parameters:
      `before` - the operator to apply before this one.
    Returns:
      a composed `FailableIntUnaryOperator` like `IntUnaryOperator.compose(IntUnaryOperator)`.
    Throws:
      `NullPointerException` - if before is null.
    See Also:
      - `andThen(FailableIntUnaryOperator)`